SearchFilterApplyRelationTest_HasOneGrantChild:
    grant_child:
        Title: I am has_one object

SearchFilterApplyRelationTest_HasManyGrantChild:
    grant_child1:
        Title: I am has_many object1
    grant_child2:
        Title: I am has_many object2
    grant_child3:
        Title: I am has_many object3
    grant_child4:
        Title: I am has_many object4
        
SearchFilterApplyRelationTest_ManyManyGrantChild:
    grant_child1:
        Title: I am many_many object1
    grant_child2:
        Title: I am many_many object2

SearchFilterApplyRelationTest_DO:
    do1:
        SearchFilterApplyRelationTest_HasOneGrantChild: =>SearchFilterApplyRelationTest_HasOneGrantChild.grant_child
        SearchFilterApplyRelationTest_HasManyGrantChildren: =>SearchFilterApplyRelationTest_HasManyGrantChild.grant_child1,=>SearchFilterApplyRelationTest_HasManyGrantChild.grant_child2
        ManyManyGrantChildren: =>SearchFilterApplyRelationTest_ManyManyGrantChild.grant_child1,=>SearchFilterApplyRelationTest_ManyManyGrantChild.grant_child2
    do2:
        SearchFilterApplyRelationTest_HasOneGrantChild: =>SearchFilterApplyRelationTest_HasOneGrantChild.grant_child
        SearchFilterApplyRelationTest_HasManyGrantChildren: =>SearchFilterApplyRelationTest_HasManyGrantChild.grant_child3,=>SearchFilterApplyRelationTest_HasManyGrantChild.grant_child4
        ManyManyGrantChildren: =>SearchFilterApplyRelationTest_ManyManyGrantChild.grant_child1, =>SearchFilterApplyRelationTest_ManyManyGrantChild.grant_child2